Method: accounts.cssProducts.get

  • This document outlines how to retrieve a processed CSS Product from your CSS Center account using a GET HTTP request.

  • The request requires a name path parameter specifying the CSS product to retrieve and an empty request body.

  • A successful response returns an instance of CssProduct.

  • The request needs the https://www.googleapis.com/auth/content OAuth scope for authorization.

Retrieves the processed CSS Product from your CSS Center account. After inserting, updating, or deleting a product input, it may take several minutes before the updated final product can be retrieved.

HTTP request

GET https://css.googleapis.com/v1/{name=accounts/*/cssProducts/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the CSS product to retrieve. Format: accounts/{account}/cssProducts/{css_product}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of CssProduct.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/content

For more information, see the OAuth 2.0 Overview.